Description

JH fixes

History

#1 - 11/26/2002 05:57 PM - Michael Lee

contact mike lee for the original files that were used in upload, download, and
analysis.

#2 - 12/02/2002 02:12 PM - Michael Lee

See bug 791 for the current closed list values for each field. These will
change, however. | believe this should not affect how the application works.
If this poses a problem (that the lists will change) let me know.

#3 - 12/02/2002 04:48 PM - Gabriel Farrell

The conversion from feet into meters is now working.

#4 - 12/02/2002 05:01 PM - Michael Lee

In dealing with closed lists:

If a value does not match any values in a closed list on loading a plot into VB,
the entire plot fails. The user should be able to discover exactly which fields
caused the plot failure in the insertion receipt. At current, no attempt is

made to "figure out" what the user meant if their value doesn't match the closed
list of values. The matching process, however, must be case-insensitive!

There is an assumption by Bob and the Pl's that we can have a list of TNC-Plots
attribute values and a corresponding list of VegBank values which these values
are converted to. | assume that none of this functionality is yet extant.

Perhaps Gabe and John should consider what this would involve (in time) and let
us know how feasible this is.

There is a second issue that we discussed today, that is: the field that denotes
observation contributors in TNC-Plots. The field contains multiple parties and

is not consitent in format. Therefore it is not parsable. There was some
discussion as to whether we should develop rules so that if users want their
parties used, they will follow certain standards (i.e. comma delimited firstname
lastname or some such thing). Bob has proposed that we add new parties with the
organziationName as the contents of this TNC field (which have the same length
of 100). This involves then updating parties at a later date. Michael

suggested adding this field into definedValue if we want to keep it - otherwise
forget the field. The issue has not yet been resolved.

#5 - 12/02/2002 06:07 PM - Michael Lee

John was opposed to Bob's plan to add the contents of the observation
contributor into the organization name of a newly created party. See mIRC logs
for 12/2/02 at roughly 5:00 PM PST for the conversation.

We think it's best to dump the contents of the "Surveyors" field in TNC into a
user defined field. To do this, we will need a record in userDefined as follows:

INSERT INTO userDefined (userDefinedName, userDefinedMetaData,

userDefinedCategory, userDefinedType, tableName) SELECT "Observation Surveyors",
"Surveyors field from the PLOTS table in the TNC Database", "Not
specified","Text","observation"

Once this is done, we can always reference the above UserDefined_ID in the
definedValue table. Add the Observation_ID from that observation and the text
string for surveryors itself (if not null) and you're done.

Then, those that eventually might want to recitify these strings to real parties
can do so at some point in time.

#6 - 12/02/2002 09:01 PM - Robert Peet

At present | disagree with mike and john and think it makes much

more sense to place the generic contributors from TNC-Plots (100 char)into
party:surname (50 char) or party:organization (100 char) - if the former, we
need to expand to 100 char. | am willing to discuss this as | may not
understand the issues. Meanwhile, a name is a name, so why not just place the
contributors in the name list. If a name gets reassigned later to a better

name, we can use the party:currentname field.

#7 - 12/10/2002 04:03 PM - Gabriel Farrell

Code for inserting observationContributers to the database has been added to cvs.

#8 - 12/18/2002 11:47 AM - Gabriel Farrell

This is fixed excluding the validation aspect see bug 928.

#9 - 01/31/2005 02:53 PM - Michael Lee

changed from components that are to be deleted to "misc" so that bugs don't get
deleted with component. Sorry for all the email.

#10 - 03/27/2013 02:15 PM - Redmine Admin
Original Bugzilla ID was 729
